FROM openjdk:10-jre-slim
ADD http://swot.sisinflab.poliba.it/tinyme/downloads/tinyme_owllink_1.0.0.7z .
RUN apt update && apt install -y p7zip-full
RUN 7z x tinyme_owllink_1.0.0.7z && mv tinyme_owllink /app
EXPOSE 8080
WORKDIR /app
CMD java -jar tiny-me-owllink.jar
